<?php

include('pdf/fpdf.php');

session_start();

include("DMMYSQLG.php");
//ob_end_clean();


require_once("DF80000.php");


class PDF extends FPDF{
  function AutoPrint($dialog=false){
		//Open the print dialog or start printing immediately on the standard printer
      
		$param=($dialog ? 'true' : 'false');
		$script="print($param);";
		$this->IncludeJS($script);
	}
	function AutoPrintToPrinter($server, $printer, $dialog=false){
		//Print on a shared printer (requires at least Acrobat 6)
            
		$script = "var pp = getPrintParams();";
		if($dialog)
			$script .= "pp.interactive = pp.constants.interactionLevel.full;";
		else
			$script .= "pp.interactive = pp.constants.interactionLevel.automatic;";
		$script .= "pp.printerName = '\\\\\\\\".$server."\\\\".$printer."';";
		$script .= "print(pp);";
		$this->IncludeJS($script);
	}
//Cabecera de página
	function Header(){
	    //Logo
	         include("DYIM_VER.php");
	    //Arial bold 14
		$this->SetFont('Arial','B',16);
		//Título
                $bot="";
if(!isset($_GET['bot']))
    $bot=isset($_POST['bot'])?$_POST['bot']:"";
   
else
$bot=$_GET['bot'];
		
		
		$sql = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select * from valeryus19 where n_reg = '".$bot."'"));
		//selecciona el estaado y ciudad
 $vip=($sql['fvip']=="SI")?"VIP":"";
                $this->Cell(225,6,'    HOTEL SANTA PAULA          REGISTRO     '.$vip,0,1,'C',0);
				$this->Cell(240,6,'',0,1,'C',0);
		//Salto de línea
		$this->Ln(0);
		$estado = $sql['festado'];
		$ciudad = $sql['fciudad'];
		$pais = $sql['fpais'];
		$desTdo = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select * from dxestado where cve_estado = '$estado'"));
		$desMun = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select * from dxdelmun where cve_delmun = '$ciudad'"));
		$desPais = mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select * from dxpaises where cve_pais = '$pais'"));
		
		$this->SetFont('Arial','',9);//establece tamaño de letra
		$this->SetFillColor(192,192,192);
		$this->Cell(10,6,'',0,0,'C',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(30,6,'NOMBRE',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(90,6,utf8_decode($sql['fnombre']." ".$sql['fapellido']),1,0,'L',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(40,6,'FECHA ENTRADA',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(80,6,''.chfecha($sql['ffecllegada'],'Y-m-d').'',1,1,'L',0);
		
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(30,5,'CIUDAD',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(40,5,utf8_decode($desTdo['des_estado']),1,0,'L',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(25,5,'PAIS',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(25,5,utf8_decode($desPais['des_pais']),1,0,'L',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(40,5,'FECHA SALIDA',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(80,5,''.chfecha($sql['ffecsalida'],'Y-m-d').'',1,1,'L',0);
		
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(30,5,'TELEFONO',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(40,5,utf8_decode($sql['ftelefono']),1,0,'L',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(25,5,'FOLIO',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(25,5,$sql['n_reg'],1,0,'L',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(40,5,'AUTOMOVIL',1,0,'L',0);
		$this->Cell(40,5,'COLOR',1,0,'L',0);
		$this->Cell(40,5,'PLACAS',1,1,'L',0);
		
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(30,5,'E-MAIL',1,0,'L',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(90,5,utf8_decode($sql['fmail']),1,0,'L',0);
		$this->Cell(40,5,'',1,0,'L',0);
		$this->Cell(40,5,'',1,0,'L',0);
		$this->Cell(40,5,'',1,1,'L',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		//$this->Cell(1,5,'',0,0,'L',0);
		$this->Cell(120,45,'',1,0,'L',0);
		$this->Cell(120,45,'',1,0,'L',0);
		
		//$this->Cell(-5,-5,'',0,0,'C',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(-105,5,' FIRMA ',0,0,'R',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(-5,5,'   Hora de Entrada: 4:00 pm EL HORARIO DE SALIDA es a la 12:00 pm, en caso de no salir             ',0,1,'R',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(38,5,'a la hora indicada se cobrará una penalizacion de una noche en tarifa rack por habitacion. ',0,1,'L',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(38,5,'Queda PROHIBIDO:Alojar en las habitaciones a personas no registradas, ',0,1,'L',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(38,5,'en caso de hacerlo, se notificará a las autoridades correspondientes;',0,1,'L',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(38,5,'prohibido alojar mascotas, hacer ruidos molestos, provocar altercados y oir música en ',0,1,'L',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(38,5,'habitaciones y pasillos; fumar dentro del hotel a excepcion de los lugares asignados. ',0,1,'L',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(38,5,'Es obligación del huesped, liquidar sus consumos extras a su salida. No nos hacemos ',0,1,'L',0);
		//$this->Cell(10,6,'',0,0,'C',0);
		//$this->Cell(38,6,'responsables por robos totales o parciales de automoviles o pertenencias dentro del hotel.',0,1,'L',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(120,5,'responsables por robos totales o parciales de automoviles o pertenencias dentro del hotel.',0,0,'L',0);
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(240,5,' Acepto Términos y Condiciones establecidas por HOTEL SANTA PAULA ',0,1,'L',0);
		//}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
		
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(240,5,'USO EXCLUSIVO HOTEL SANTA PAULA',1,1,'C',1);
		//}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(120,15,'',1,0,'L',0);
		$this->Cell(120,15,'',1,0,'L',0);
		
		$this->Cell(-105,5,'TARIFA              ',0,0,'C',0);
		
		$this->Cell(-15,5,'',0,0,'R',0);
		$this->Cell(-30,5,'RENTA',1,0,'C',0);
		$this->Cell(-30,5,'MENORES DE 11',1,0,'C',0);
	    $this->Cell(-30,5,'MAYORES DE 11',1,0,'C',0);

		$this->Cell(-30,5,'HABITACION',1,1,'C',0);
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(30,5,$sql['fnumcto'],1,0,'C',0);
		$this->Cell(30,5,$sql['fnumadu'],1,0,'C',0);
				$this->Cell(30,5,$sql['fnummenor'],1,0,'C',0);

		$this->Cell(30,5,'',1,0,'C',0);
		$this->Cell(120,5,$sql['fcodagen'].'-'.$sql['tex'].' '.$sql['tex2'].' '.$sql['tex4'].'  ',1,1,'C',0);
		
	
		//}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(120,20,'',1,0,'L',0);
		$this->Cell(120,20,'',1,0,'L',0);
                $this->SetFont('Arial','B',9);//establece tamaño de letra
             
                $this->Cell(-120,5,' PLAN ',1,0,'C',0);
                //$this->Cell(-40,5,'',1,0,'R',0);
                
                
                $this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(-40,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(-40,5,' FORMA DE PAGO ',0,0,'C',0);
		$this->Cell(-40,5,'',0,1,'C',0);
                
          
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(120,5,'  ',0,0,'C',0);
                $this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(120,5,$sql['fplan'],0,0,'C',0);
                $this->Cell(60,5,substr($sql['extra4'],0,100),0,1,'C',0); //notas int
                
		
		$this->Cell(10,5,'',0,0,'C',0);
		$this->Cell(120,5,$sql['fformpago'],0,0,'C',0);
		$this->Cell(60,5,substr($sql['fnorasvip'],100,100),0,0,'L',0);
                $this->Cell(60,5,substr($sql['extra4'],100,100),0,1,'C',0);
		//}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
		
		$this->Cell(10,6,'',0,0,'C',0);
		$this->Cell(120,24,'',1,0,'L',0);
		$this->Cell(60,24,'',1,0,'L',0);
		$this->Cell(60,24,'',1,0,'L',0);
		
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(-60,6,'RECEPCIONISTA CHECK-IN',0,0,'C',0);
		$this->Cell(-60,6,' OTROS ',0,0,'C',0);
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(-40,6,'',0,0,'C',0);
		$this->SetFont('Arial','B',9);
		$this->Cell(-40,6,'OBSERVACIONES',0,0,'C',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(-40,6,'',0,1,'C',0);
		
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(10,6,'',0,0,'C',0);
	
		$this->Cell(120,6,'',0,1,'L',0);
		
		$this->Cell(10,6,'',0,0,'C',0);
		$this->Cell(40,6,'  ',0,0,'C',0);
		$this->Cell(40,6,'  ',0,0,'C',0);
		$this->Cell(40,6,'  ',0,0,'C',0);
		$this->Cell(60,6,'  ',0,0,'C',0);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->Cell(60,6,' RECEPCIONISTA CHECK-OUT ',0,1,'C',0);
		
		$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(10,6,'',0,0,'C',0);
		$this->Cell(60,6,'  ',0,0,'C',0);
		$this->Cell(60,6,'  ',0,0,'C',0);
		$this->Cell(120,6,'',0,1,'L',0);
		
		$this->SetFont('Arial','I',5.75);//establece tamaño de letra
		$this->Cell(240,3.5,'HOTEL SANTA PAULA (Areli Garcia Martinez), con domicilio fiscal en Calle de la Veracruz 15-A, Col. Centro, Taxco de Alarcón, Guerrero, México, CP. 40200 es responsable de recabar sus datos personales, del uso que se le dé a los mismos y de su protección, su informacion personal será utilizada para ',0,1,'L',0);
		$this->Cell(260,3.5,'proveer los servicios y productos que ha solicitado, informarle sobre cambios en los mismos y evaluar la calidad del servicio que le brindamos, lo anterior se informa en cumplimiento al artículo 15 de la Ley Federal de Protección de Datos Personales en Posesión de los ',0,1,'L',0);
		$this->Cell(260,3.5,'Partículares, con relación en el articulo 23 del Reglamento de la Ley Federal de Protección de Datos Personales en Posesión de los Particulares, por lo que a efecto de brindarle los servicios y productos solicitados requerimos obtener los siguientes datos personales ',0,1,'L',0);
		$this->Cell(260,3.5,'sensibles: Nombre(s) completo(s), dirección, número(s) de teléfono(s), datos fiscales, datos bancarios como tarjeta(s) de crédito(s), correo electrónico entre otros. Es importante mencionar que Usted tiene derecho de acceder, rectificar y cancelar sus datos personales, así ',0,1,'L',0);
		$this->Cell(260,3.5,'como oponerse al tratamiento de los mismos o revocar el consentimiento que para tal fin nos haya otorgado, a través de los procedimientos que hemos implementado. Por lo que, por éste medio usted autoriza a a HOTEL SANTA PAULA, a transferir los datos con sus ',0,1,'L',0);
		$this->Cell(260,3.5,'accionistas, empresas subsidiarias, afiliadas, o a cualquier tercero, cuando dicha transferencia sea necesaria por virtud de un acuerdo alcanzado por parte de HOTEL SANTA PAULA en interés de usted. Para conocer dichos procedimientos, los requisitos y plazos,',0,1,'L',0);
		$this->Cell(260,3.5,'se puede poner en contacto al correo cpvicenterf@hotmail.com Cualquier modificación a este aviso de privacidad podrá consultarla en https://santapaula.mx/privacidad.html Por último, usted autoriza expresamente a HOTEL SANTA PAULA para utilizar la información del ',0,1,'L',0);
		$this->Cell(260,3.5,'cliente con fines mercadotécnicos o publicitarios, así como para recibir publicidad de cualquier índole o para ofrecerle otros productos. No obstante lo anterior, usted podrá revocar dicho consentimiento de manera escrita.',0,1,'L',0);
		//$this->Cell(60,6,' LLAVE DE SEGURIDAD ',0,0,'C',0);
		//$this->Cell(60,6,' CUENTA ABIERTA ',0,0,'C',0);
		$this->Cell(260,2,'ATTE. HOTEL SANTA PAULA.',0,1,'L',0);
		
		/*$this->SetFont('Arial','',8);//establece tamaño de letra
		$this->Cell(10,6,'',0,0,'C',0);
		$this->Cell(60,6,' LLAVE DE SEGURIDAD ',0,0,'C',0);
		$this->Cell(60,6,' CUENTA ABIERTA ',0,0,'C',0);
		$this->Cell(120,6,'',0,1,'L',0);*/
		
							
	}	
	//Pie de página
	function Footer()
	{
	//Posición: a 1,5 cm del final
	$this->SetY(-15);
	//Arial italic 8
	$this->SetFont('Arial','I',8);
	//Número de página 
	$this->Cell(0,10, $this->PageNo(),0,0,'C');
	}
}

$pdf=new PDF('L','mm','Letter');
$pdf->AddPage();

//ob_end_clean
//  ob_clean(); 
$pdf->Output("Tarjeta_De_Registro.pdf","D");
//210-->100 ultima actualzacion 30/NOVIEMBRE/2011 TARJETA DE REGISTRO PARA OAXTEPEC 
?> 
